Bug 41357 - Make ContactList API mandatory and deprecate contact list channels
Summary: Make ContactList API mandatory and deprecate contact list channels
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-spec (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://cgit.collabora.com/git/user/xc...
Whiteboard:
Keywords:
Depends on: 31729
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 00:57 UTC by Guillaume Desmottes
Modified: 2011-11-07 02:45 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Desmottes 2011-09-30 00:57:56 UTC
We suffered enough from the old contact list API, we should deprecate it and declare ContactList and friends as mandatory for CMs having a contact list.

This requiers to have ContactList implemented in all the CMs we care about.
Comment 1 Guillaume Desmottes 2011-09-30 01:10:52 UTC
Gabble: done
Salut: bug #31729
Haze: done
Butterfly: bug #19903
Sunshine: bug #41358
Ring: not needed
Rakia: not needed
Idle: not needed

I suspect that the Python CMs are basically dead so I think we should just block this on Salut.
Comment 2 Guillaume Desmottes 2011-11-04 07:20:56 UTC
Empathy 3.4 will rely on ContactList. Butterfly and Sunshine will not likely implement this API any time soon I think we should go ahead.
Comment 3 Xavier Claessens 2011-11-07 01:29:37 UTC
This is now announced, if nobody cares about pythong CM they will just be dropped.
Comment 4 Will Thompson 2011-11-07 01:43:50 UTC
We should absolutely do this.

You should also deprecate Handle_Type_Group and Handle_Type_List.
Comment 5 Xavier Claessens 2011-11-07 02:45:57 UTC
Merged. ContactList channels are now officially deprecated.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.